---
title: API Endpoint
canonical: https://openvpn.net/cloud-docs/developer/api-endpoint/
product: CloudConnexa Docs
description: Learn how to use the CloudConnexa API endpoint, including base URL format, request structure, and how to authenticate and access available endpoints.
---

# API Endpoint

The CloudConnexa API is accessed through a WPC-specific base URL. Ensure you send all API requests to this endpoint.

## Base URL format

```
https://<company_name>.api.openvpn.com
```

Replace `<company_name>` with your CloudConnexa Cloud ID.

## Using the endpoint

All API requests are made by appending resource paths to the base URL.

**Example:**

```
POST https://<cloud_id>.api.openvpn.com/api/v1/oauth/token
```

## How it fits into API requests

To successfully call the CloudConnexa API:

1. Use your WPC-specific base URL.
2. Authenticate using an OAuth 2.0 access token.
3. Include the token in the `Authorization` header:

   ```
   Authorization: Bearer <access_token>
   ```

---

Prev: [Creating API credentials](https://openvpn.net/cloud-docs/developer/creating-api-credentials.md)
Next: [Viewing Swagger API Documentation](https://openvpn.net/cloud-docs/developer/viewing-swagger-api-documentation.md)
Index: https://openvpn.net/cloud-docs/llms.txt
